import type { Ref } from 'vue'
import type { Actions, GraphNode, HandleElement } from '../types'
export declare const getHandleBoundsByHandleType: (
  selector: string,
  nodeElement: HTMLDivElement,
  parentBounds: ClientRect | DOMRect,
  k: number,
) => HandleElement[] | null
export declare const getHandleBounds: (
  nodeElement: HTMLDivElement,
  scale: number,
  id?: string,
) => {
  source: HandleElement[] | undefined
  target: HandleElement[] | undefined
}
export declare const handleNodeClick: (
  node: GraphNode,
  multiSelectionActive: boolean,
  addSelectedNodes: Actions['addSelectedNodes'],
  removeSelectedElements: Actions['removeSelectedElements'],
  nodesSelectionActive: Ref<boolean>,
) => void
